Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreCommonManager

    java.lang.Object
      oracle.ifs.fdk.impl.CommonManagerImpl
          oracle.ifs.fdk.core.CoreCommonManager

All Implemented Interfaces:
  java.rmi.Remote, CommonManager

    public class CoreCommonManager

extends CommonManagerImpl

Common access to various repository objects and functionality.

Constructor Summary
`CoreCommonManager()` Constructor.
`CoreCommonManager(FdkSession session)`

Method Summary
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`Item` | `getItem(long id, AttributeRequest[] attributes)` Returns an Item given an Item ID and an array of AttributeRequests.
`NamedValue[]` | `getItemInvalidations(long[] addedIds, long[] removedIds, long[] setIds)` Gets the set of Item invalidations for items the session has registered interest for.
`Item[]` | `getItems(long[] ids, AttributeRequest[] attributes)` Returns an array of Items given an array of Item IDs and an array of AttributeRequests.
`long` | `getUniqueId()` Returns a unique ID backed by a repository sequence.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreCommonManager

    public CoreCommonManager()

  Constructor.

### CoreCommonManager

    public CoreCommonManager(FdkSession session)

Method Detail

### getItem

    public Item getItem(long id,
                        AttributeRequest[] attributes)
                 throws FdkException

  Description copied from class: `CoreCommonManager`
  Returns an Item given an Item ID and an array of AttributeRequests.

  Parameters:
    `id` - the ID of the Item to return.
    `attributes` - the attributes to retrieve for each Item.
  Throws:
    `FdkException` - if the operation fails.

### getItems

    public Item[] getItems(long[] ids,
                           AttributeRequest[] attributes)
                    throws FdkException

  Description copied from class: `CoreCommonManager`
  Returns an array of Items given an array of Item IDs and an array of AttributeRequests.

  Parameters:
    `ids` - the IDs of the Items to return.
    `attributes` - the attributes to retrieve for each Item.
  Throws:
    `FdkException` - if the operation fails.

### getUniqueId

    public long getUniqueId()
                     throws FdkException

  Description copied from class: `CoreCommonManager`
  Returns a unique ID backed by a repository sequence. The method ensures the ID is unique across calls.

  Returns:
    A unique ID.
  Throws:
    `FdkException` - if the operation fails.

### getItemInvalidations

    public NamedValue[] getItemInvalidations(long[] addedIds,
                                             long[] removedIds,
                                             long[] setIds)
                                      throws FdkException

  Description copied from class: `CoreCommonManager`
  Gets the set of Item invalidations for items the session has registered interest for.

  Also specify an optional set of newly added IDs of interest, a set of IDs that the client no longer has interest, or the explicit set of IDs that the client has interest in. If a non-null explicit list is specified, the other two lists are ignored.

  Parameters:
    `addedIds` - the new IDs of interest
    `removedIds` - the IDs that the client no longer has interest.
    `setIds` - the total set IDs of interest
  Returns:
    the set of Item invalidations.
  Throws:
    `FdkException` - if the operation fails.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD